New features in Talend Remote Engine R2023-10 - Cloud - 8.0

Talend Release Notes

Version
Cloud
8.0
Language
English
Product
Talend Big Data
Talend Big Data Platform
Talend Cloud API Services Platform
Talend Cloud Big Data
Talend Cloud Big Data Platform
Talend Cloud Data Fabric
Talend Cloud Data Integration
Talend Cloud Data Management Platform
Talend Data Fabric
Talend Data Integration
Talend Data Management Platform
Talend Data Services Platform
Talend ESB
Talend MDM Platform
Talend Real-Time Big Data Platform
Module
Talend Cloud API Designer
Talend Cloud API Tester
Talend Cloud Data Inventory
Talend Cloud Data Preparation
Talend Cloud Data Stewardship
Talend Cloud Pipeline Designer
Talend Data Preparation
Talend Data Stewardship
Talend Management Console
Talend Studio
Content
Installation and Upgrade
Release Notes
Last publication date
2024-03-01

Talend Remote Engine v2.13 is generally available, providing improved security of Java 17 and alleviating concerns about Java's end-of-support for older versions.

  • Java 17 requirement: as announced previously, Java 17 is a mandatory requirement for the startup of Talend Remote Engine v2.13.
  • When it comes to running Jobs or Microservices, you retain the flexibility to either use the default Java 17 version or choose older Java versions.
    1. When using the default Java 17 version to run Jobs or Microservices, build them with the add-opens option to ensure compatibility with Java 17. This option opens the necessary packages for Java 17 compatibility, making your Jobs or Microservices directly runnable on Talend Remote Engine v2.13.

      For further information about how to use this add-opens option and its limitation, see Setting up Java in Talend Studio.

    2. If you have existing Jobs or Microservices already built with older Java versions, such as Java 8 or 11, and are not ready to rebuild them with the add-opens option, you have the flexibility to set up JVM instances of the Java 8 or 11 version and configure Talend Remote Engine v2.13 to use those instances for specific executions. This way, you do not need to rebuild those Jobs or Microservices. For further information about how to use a specific Java version to run some of your artifacts, see Specifying a Java version to run Jobs or Microservices.

If you are using Talend Runtime alongside Talend Remote Engine, see this support statement page for the compatibility details between Talend Runtime and Talend Remote Engine v2.13.

Talend Remote Engine v2.12 will continue to be supported for 12 months until R2024-10, with its end of life set for 18 months later in R2025-04. This phased approach allows you to transition to Java 17 at your own pace without undue pressure.

Get started with Talend Remote Engine on Talend Remote Engine User Guide.